MyBB ratethread.php 'rating' Parameter SQLi

high Nessus Plugin ID 19716

Synopsis

The remote web server hosts a PHP application that is affected by a SQL injection vulnerability.

Description

The version of MyBB installed on the remote host is affected by a SQL injection vulnerability due to improper sanitization of user-supplied input to the 'rating' parameter of the ratethread.php script. A remote attacker can exploit this issue to manipulate SQL queries, resulting in the disclosure of sensitive information and modification of data.

Solution

Enable PHP's 'magic_quotes_gpc' setting.

See Also

https://seclists.org/bugtraq/2005/Dec/285

Plugin Details

Severity: High

ID: 19716

File Name: mybb_rating_sql_injection.nasl

Version: 1.27

Type: remote

Family: CGI abuses

Published: 9/17/2005

Updated: 4/11/2022

Configuration: Enable thorough checks

Risk Information

VPR

Risk Factor: Medium

Score: 5.9

CVSS v2

Risk Factor: High

Base Score: 7.5

Temporal Score: 7.5

Vector: AV:N/AC:L/Au:N/C:P/I:P/A:P

Temporal Vector: E:H/RL:U/RC:ND

Vulnerability Information

CPE: cpe:/a:mybb:mybb

Required KB Items: www/PHP, installed_sw/MyBB

Exploit Available: true

Exploit Ease: No exploit is required

Vulnerability Publication Date: 12/9/2005

Reference Information

CVE: CVE-2005-4200

BID: 14786